audience.segment.update
curl --request POST \
--url https://platform.trylath.com/audience/segment/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"segmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"definition": {
"all": [
{
"property": "<string>",
"value": "<string>"
}
],
"any": [
{
"property": "<string>",
"value": "<string>"
}
],
"none": [
{
"property": "<string>",
"value": "<string>"
}
]
}
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
segmentId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>',
definition: {
all: [{property: '<string>', value: '<string>'}],
any: [{property: '<string>', value: '<string>'}],
none: [{property: '<string>', value: '<string>'}]
}
})
};
fetch('https://platform.trylath.com/audience/segment/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://platform.trylath.com/audience/segment/update"
payload = {
"segmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"definition": {
"all": [
{
"property": "<string>",
"value": "<string>"
}
],
"any": [
{
"property": "<string>",
"value": "<string>"
}
],
"none": [
{
"property": "<string>",
"value": "<string>"
}
]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://platform.trylath.com/audience/segment/update"
payload := strings.NewReader("{\n \"segmentId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"name\": \"<string>\",\n \"definition\": {\n \"all\": [\n {\n \"property\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"any\": [\n {\n \"property\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"none\": [\n {\n \"property\": \"<string>\",\n \"value\": \"<string>\"\n }\n ]\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"activityId": "<string>",
"result": {
"segment": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"definition": "<unknown>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}
}audience.segment.update
Changes a segment’s name or definition.
POST
/
audience
/
segment
/
update
audience.segment.update
curl --request POST \
--url https://platform.trylath.com/audience/segment/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"segmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"definition": {
"all": [
{
"property": "<string>",
"value": "<string>"
}
],
"any": [
{
"property": "<string>",
"value": "<string>"
}
],
"none": [
{
"property": "<string>",
"value": "<string>"
}
]
}
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
segmentId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>',
definition: {
all: [{property: '<string>', value: '<string>'}],
any: [{property: '<string>', value: '<string>'}],
none: [{property: '<string>', value: '<string>'}]
}
})
};
fetch('https://platform.trylath.com/audience/segment/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://platform.trylath.com/audience/segment/update"
payload = {
"segmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"definition": {
"all": [
{
"property": "<string>",
"value": "<string>"
}
],
"any": [
{
"property": "<string>",
"value": "<string>"
}
],
"none": [
{
"property": "<string>",
"value": "<string>"
}
]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://platform.trylath.com/audience/segment/update"
payload := strings.NewReader("{\n \"segmentId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"name\": \"<string>\",\n \"definition\": {\n \"all\": [\n {\n \"property\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"any\": [\n {\n \"property\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"none\": [\n {\n \"property\": \"<string>\",\n \"value\": \"<string>\"\n }\n ]\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"activityId": "<string>",
"result": {
"segment": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"definition": "<unknown>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}
}Authorizations
A Lath API key: lath_live_sk… or lath_test_sk… on a server, lath_live_pk… or lath_test_pk… in a browser.
Headers
Replays the stored response for the same key and input; refuses different input.
Body
application/json
Last modified on September 13, 2026
Was this page helpful?

